Package net.shibboleth.idp.attribute.config

# Class BooleanConfigurationLookupStrategy

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.attribute.config.AbstractMetadataDrivenConfigurationLookupStrategy<Boolean>
net.shibboleth.idp.attribute.config.BooleanConfigurationLookupStrategy

All Implemented Interfaces:
  `Function<BaseContext,Boolean>`, `Component`, `DestructableComponent`, `InitializableComponent`

public class BooleanConfigurationLookupStrategy extends AbstractMetadataDrivenConfigurationLookupStrategy<Boolean>
A strategy function that examines SAML metadata associated with a relying party and derives Boolean-valued configuration settings based on EntityAttribute extension tags.

Since:
  5.0.0

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.idp.attribute.config.AbstractMetadataDrivenConfigurationLookupStrategy

`AbstractMetadataDrivenConfigurationLookupStrategy.CachedConfigurationContext`

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`BooleanConfigurationLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`protected Boolean`
`doTranslate(IdPAttribute tag)`
Translate the value(s) into a setting of the appropriate type.
`protected Boolean`
`doTranslate(Attribute tag)`
Translate the value(s) into a setting of the appropriate type.
`private Boolean`
`xmlObjectToBoolean(XMLObject object)`
Convert an XMLObject to a Boolean if the type is supported.

### Methods inherited from class net.shibboleth.idp.attribute.config.AbstractMetadataDrivenConfigurationLookupStrategy

`apply, doInitialize, setDefaultValue, setDefaultValueStrategy, setEnableCaching, setExplicitPropertyName, setIgnoreUnmappedEntityAttributes, setLegacyPropertyName, setMessageMetadataLookupStrategy, setProfileAliases, setProfileIdLookupStrategy, setProfileMetadataLookupStrategy, setPropertyName, setStrictNameFormat`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Class logger.

## Constructor Details

### BooleanConfigurationLookupStrategy

public BooleanConfigurationLookupStrategy()

## Method Details

### doTranslate

@Nullable protected Boolean doTranslate(@Nonnull IdPAttribute tag)
Translate the value(s) into a setting of the appropriate type.

Overrides of this function can assume a non-zero collection of values.

Specified by:
  `doTranslate` in class `AbstractMetadataDrivenConfigurationLookupStrategy<Boolean>`
Parameters:
  `tag` - tag to translate
Returns:
  the setting derived from the tag's value(s)

### doTranslate

@Nullable protected Boolean doTranslate(@Nonnull Attribute tag)
Translate the value(s) into a setting of the appropriate type.

Overrides of this function can assume a non-zero collection of values.

Specified by:
  `doTranslate` in class `AbstractMetadataDrivenConfigurationLookupStrategy<Boolean>`
Parameters:
  `tag` - tag to translate
Returns:
  the setting derived from the tag's value(s)

### xmlObjectToBoolean

@Nullable private Boolean xmlObjectToBoolean(@Nonnull XMLObject object)
Convert an XMLObject to a Boolean if the type is supported.

Parameters:
  `object` - object to convert
Returns:
  the converted value, or null